extensions / Commerce extension
POST
/__runtime/checkout/stripe/sessionCreate Stripe Session
Creates a Stripe Checkout session for a storefront cart and returns the redirect URL.
POST
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Permissions
- No authentication is required; the customer is identified from the storefront session, cart token cookie, or guest checkout details.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Cookie | Yes | Not specified | Description: Value used by this operation. |
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Host | Yes | Not specified | Description: Value used by this operation. |
Path Parameters
Query Parameters
Request Body
Schema: key/value map
| Field | Required | Type | Details |
|---|---|---|---|
customer_id | No | string | Description: Identifier for customer. |
guest_email | No | string | Description: Text value. |
guest_name | No | string | Description: Text value. |
guest_phone | No | string | Description: Text value. |
payment_method | No | string | Description: Text value. |
payment_method_title | No | string | Description: Display title. |
shipping_method | No | string | Description: Text value. |
shipping_method_title | No | string | Description: Display title. |
customer_note | No | string | Description: Text value. |
use_saved_card | No | string | Description: Text value. |
subscription_id | No | string | Description: Identifier for subscription. |
current_subscription_id | No | string | Description: Identifier for current subscription. |
interval | No | string | Description: Text value. |
buy_now_item_id | No | string | Description: Identifier for buy now item. |
modal | No | string | Description: Text value. |
success_url | No | string | Description: Text value. |
cancel_url | No | string | Description: Text value. |
Response Body
Example 200 response
json
{
"ok": "string",
"redirect_url": "string",
"session_id": 1
}Errors
400 bad_request500 internal_server_errorAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

